/*
 * DHT11.h

 */

#ifndef DHT11_DHT11_H_
#define DHT11_DHT11_H_

//#include "main.h"
#include "ch32v10x.h"


/************************** DHT11 Ͷ********************************/
typedef struct
{
    uint8_t  humi_int;      //ʪȵ
    uint8_t  humi_deci;     //ʪȵС
    uint8_t  temp_int;      //¶ȵ
    uint8_t  temp_deci;     //¶ȵС
    uint8_t  check_sum;     //У

} DHT11_Data_TypeDef;



/************************** DHT11 Ŷ********************************/


#define      DHT11_Dout_GPIO_PORT                      GPIOB
#define      DHT11_Dout_GPIO_PIN                       GPIO_Pin_8

/************************** 궨 ֲ*****************/
#define DHT11_DELAY_US(us)  Delay_Us(us)
#define DHT11_DELAY_MS(ms)  Delay_Ms(ms)



#define      DHT11_Dout_GPIO_CLK                       RCC_APB2PeriphClockCmd(RCC_APB2Periph_GPIOB,ENABLE)
#define      GPIO_PIN_RESET                             Bit_RESET
#define      GPIO_PIN_SET                               Bit_SET

#define      DHT11_Dout_0                               GPIO_ResetBits(DHT11_Dout_GPIO_PORT,  DHT11_Dout_GPIO_PIN)
#define      DHT11_Dout_1                               GPIO_SetBits(DHT11_Dout_GPIO_PORT,  DHT11_Dout_GPIO_PIN )

#define      DHT11_Dout_IN()                            GPIO_ReadInputDataBit(DHT11_Dout_GPIO_PORT,  DHT11_Dout_GPIO_PIN )



/************************** DHT11  ********************************/
void                     DHT11_Init                      ( void );
uint8_t                  DHT11_Read_TempAndHumidity      ( DHT11_Data_TypeDef * DHT11_Data );



#endif /* DHT11_DHT11_H_ */
