/*
 * oled.h
 *

 */

#ifndef OLED_OLED_H_
#define OLED_OLED_H_

//#include "main.h"
#include "ch32v10x.h"
#include "math.h"
#define HardwareSPI
//-----------------LED˿ڶ----------------

#define LED_ON       HAL_GPIO_WritePin(LD2_GPIO_Port,LD2_Pin, GPIO_PIN_RESET)
#define LED_OFF      HAL_GPIO_WritePin(LD2_GPIO_Port,LD2_Pin, GPIO_PIN_SET)

#define          RES_GPIO_Port          GPIOA
#define          RES_Pin                GPIO_Pin_10

#define          DC_GPIO_Port           GPIOA
#define          DC_Pin                 GPIO_Pin_12

#define          CS_GPIO_Port           GPIOA
#define          CS_Pin                 GPIO_Pin_11



//-----------------OLED˿ڶ----------------
//HardwareSPIӲSPI.
#ifndef HardwareSPI
/*
#define OLED_SCLK_Clr() HAL_GPIO_WritePin(GPIOC,GPIO_PIN_10, GPIO_PIN_RESET)//CLK
#define OLED_SCLK_Set() HAL_GPIO_WritePin(GPIOC,GPIO_PIN_10, GPIO_PIN_SET)

#define OLED_SDIN_Clr() HAL_GPIO_WritePin(GPIOC,GPIO_PIN_12, GPIO_PIN_RESET)//DIN
#define OLED_SDIN_Set() HAL_GPIO_WritePin(GPIOC,GPIO_PIN_12, GPIO_PIN_SET)
*/
#endif

//HALLibraryHAL,
#ifdef HALLibrary
#define OLED_RST_Clr() HAL_GPIO_WritePin(RES_GPIO_Port,RES_Pin, GPIO_PIN_RESET)//RST
#define OLED_RST_Set() HAL_GPIO_WritePin(RES_GPIO_Port,RES_Pin, GPIO_PIN_SET)

#define OLED_DC_Clr() HAL_GPIO_WritePin(DC_GPIO_Port,DC_Pin, GPIO_PIN_RESET)//DC
#define OLED_DC_Set() HAL_GPIO_WritePin(DC_GPIO_Port,DC_Pin, GPIO_PIN_SET)

#define OLED_CS_Clr()  HAL_GPIO_WritePin(CS_GPIO_Port,CS_Pin, GPIO_PIN_RESET)//CS
#define OLED_CS_Set()  HAL_GPIO_WritePin(CS_GPIO_Port,CS_Pin, GPIO_PIN_SET)

#else

#define OLED_RST_Clr() GPIO_ResetBits(RES_GPIO_Port,RES_Pin)//RST
#define OLED_RST_Set() GPIO_SetBits(RES_GPIO_Port,RES_Pin)

#define OLED_DC_Clr()  GPIO_ResetBits(DC_GPIO_Port,DC_Pin)//DC
#define OLED_DC_Set()  GPIO_SetBits(DC_GPIO_Port,DC_Pin)

#define OLED_CS_Clr()  GPIO_ResetBits(CS_GPIO_Port,CS_Pin)//CS
#define OLED_CS_Set()  GPIO_SetBits(CS_GPIO_Port,CS_Pin)
#endif



#define OLED_CMD  0 //д
#define OLED_DATA 1 //д
#define u8 unsigned char
#define u32 unsigned int

void OLED_ClearPoint(u8 x,u8 y);
void OLED_ColorTurn(u8 i);
void OLED_DisplayTurn(u8 i);
void OLED_WR_Byte(u8 dat,u8 mode);
void OLED_DisPlay_On(void);
void OLED_DisPlay_Off(void);
void OLED_Refresh(void);
void OLED_Clear(void);
void OLED_DrawPoint(u8 x,u8 y);
void OLED_DrawLine(u8 x1,u8 y1,u8 x2,u8 y2);
void OLED_DrawCircle(u8 x,u8 y,u8 r);
void OLED_ShowChar(u8 x,u8 y,u8 chr,u8 size1);
void OLED_ShowString(u8 x,u8 y,u8 *chr,u8 size1);
void OLED_ShowNum(u8 x,u8 y,u32 num,u8 len,u8 size1);
void OLED_Showdecimal(u8 x,u8 y,float num,u8 z_len,u8 f_len,u8 size2);
void OLED_ShowChinese(u8 x,u8 y,u8 num,u8 size1);
void OLED_ScrollDisplay(u8 num,u8 space);
void OLED_WR_BP(u8 x,u8 y);
void OLED_ShowPicture(u8 x0,u8 y0,u8 x1,u8 y1,u8 BMP[]);
void OLED_Init(void);

#endif /* OLED_OLED_H_ */
