/*
 * co_mq_7.c

 */
#include "co_mq_7.h"




/****************************************
 *  RS/R0        ppm                    *
 *  1.6          50                     *
 *  1            100                    *
 *  0.6          200                    *
 *  0.46         300                    *
 *  0.39         400                    *
 *  0.28         600                    *
 *  0.21         1000                   *
 * ppm = 98.322f * pow(RS/R0, -1.458f)  *
 ****************************************/
 // У׼
void MQ7_PPM_Calibration(float RS)
{
    R0 = RS / pow(CAL_PPM / 98.322, 1 / -1.458f);
}

 // ȡֵ

float MQ7_GetPPM(void)
{
    float Vrl = 3.3f * ADC_Value / 4095.f;
    float RS = (3.3f - Vrl) / Vrl * RL;
    if(boot_time_ms > 6) // ȡϵͳִʱ䣬3sУ׼
    {
    MQ7_PPM_Calibration(RS);
    boot_time_ms =0;
    }
    float ppm = 98.322f * pow(RS/R0, -1.458f);
    return  ppm;
}
